<template>
  <nut-input
    class="nut-input-text bole-input-text"
    type="text"
    readonly
    alwaysEmbed
    v-bind="$attrs"
  >
    <template #clear>
      <slot name="clear"></slot>
    </template>
    <template #right>
      <slot name="right">
        <RectRight :size="12" class="common-choose-input-icon" />
      </slot>
    </template>
  </nut-input>
</template>

<script setup lang="ts">
import { RectRight } from '@nutui/icons-vue-taro';
import { Input as NutInput } from '@nutui/nutui-taro';

defineOptions({
  name: 'ChooseInput',
});
</script>
